/*****************************************************************************
|*
|*  PACKAGE:            AX/HX930 Firmware
|*
|*  VERSION CONTROL:    @(#)reg930xx.h	1.2 98/06/09
|*
|*  COPYRIGHT:          Copyright (c) 1998 Tasking Software B.V.
|*
|*  DESCRIPTION:
|*
|*     	Macro defenitions for setting, clearing and getting special function bits 
|*	in a uniform way. These macros conform to 8x931xA defenitions.
|*
 ****************************************************************************/

#ifndef _REG930XX_H
#define _REG930XX_H

#define SET_P0_0	P0_0 = 1;
#define SET_P0_1	P0_1 = 1;
#define SET_P0_2	P0_2 = 1;
#define SET_P0_3	P0_3 = 1;
#define SET_P0_4	P0_4 = 1;
#define SET_P0_5	P0_5 = 1;
#define SET_P0_6	P0_6 = 1;
#define SET_P0_7	P0_7 = 1;
#define SET_IDL		IDL = 1;
#define SET_PD		PD = 1;
#define SET_GF0		GF0 = 1;
#define SET_GF1		GF1 = 1;
#define SET_POF		POF = 1;
#define SET_LC		LC = 1;
#define SET_SMOD0	SMOD0 = 1;
#define SET_SMOD1	SMOD1 = 1;
#define SET_M00		M00 = 1;
#define SET_M10		M10 = 1;
#define SET_CT0		CT0 = 1;
#define SET_GATE0	GATE0 = 1;
#define SET_M01		M01 = 1;
#define SET_M11		M11 = 1;
#define SET_CT1		CT1 = 1;
#define SET_GATE1	GATE1 = 1;
#define SET_A0		A0 = 1;
#define SET_A1		A1 = 1;
#define SET_A2		A2 = 1;
#define SET_A3		A3 = 1;
#define SET_A4		A4 = 1;
#define SET_A5		A5 = 1;
#define SET_A6		A6 = 1;
#define SET_P1_0	P1_0 = 1;
#define SET_T2		T2 = 1;
#define SET_P1_1	P1_1 = 1;
#define SET_T2EX	T2EX = 1;
#define SET_P1_2	P1_2 = 1;
#define SET_ECI		ECI = 1;
#define SET_P1_3	P1_3 = 1;
#define SET_CEX0	CEX0 = 1;
#define SET_P1_4	P1_4 = 1;
#define SET_CEX1	CEX1 = 1;
#define SET_P1_5	P1_5 = 1;
#define SET_CEX2	CEX2 = 1;
#define SET_P1_6	P1_6 = 1;
#define SET_CEX3	CEX3 = 1;
#define SET_WAIT	WAIT = 1;
#define SET_P1_7	P1_7 = 1;
#define SET_CEX4	CEX4 = 1;
#define SET_A17		A17 = 1;
#define SET_WCLK	WCLK = 1;
#define SET_P2_0	P2_0 = 1;
#define SET_P2_1	P2_1 = 1;
#define SET_P2_2	P2_2 = 1;
#define SET_P2_3	P2_3 = 1;
#define SET_P2_4	P2_4 = 1;
#define SET_P2_5	P2_5 = 1;
#define SET_P2_6	P2_6 = 1;
#define SET_P2_7	P2_7 = 1;
#define SET_FTXIE0	FTXIE0 = 1;
#define SET_FRXIE0	FRXIE0 = 1;
#define SET_FTXIE1	FTXIE1 = 1;
#define SET_FRXIE1	FRXIE1 = 1;
#define SET_FTXIE2	FTXIE2 = 1;
#define SET_FRXIE2	FRXIE2 = 1;
#define SET_FTXIE3	FTXIE3 = 1;
#define SET_FRXIE3	FRXIE3 = 1;
#define SET_EX0		EX0 = 1;
#define SET_ET0		ET0 = 1;
#define SET_EX1		EX1 = 1;
#define SET_ET1		ET1 = 1;
#define SET_ES		ES = 1;
#define SET_ET2		ET2 = 1;
#define SET_EC		EC = 1;
#define SET_EA		EA = 1;
#define SET_P3_0	P3_0 = 1;
#define SET_P3_1	P3_1 = 1;
#define SET_P3_2	P3_2 = 1;
#define SET_P3_3	P3_3 = 1;
#define SET_P3_4	P3_4 = 1;
#define SET_P3_5	P3_5 = 1;
#define SET_P3_6	P3_6 = 1;
#define SET_P3_7	P3_7 = 1;
#define SET_ESOF	ESOF = 1;
#define SET_EF		EF = 1;
#define SET_ESR		ESR = 1;
#define SET_IPL1_0	IPL1_0 = 1;
#define SET_IPL1_1	IPL1_1 = 1;
#define SET_IPL1_2	IPL1_2 = 1;
#define SET_IPH1_0	IPH1_0 = 1;
#define SET_IPH1_1	IPH1_1 = 1;
#define SET_IPH1_2	IPH1_2 = 1;
#define SET_IPH0_0	IPH0_0 = 1;
#define SET_IPH0_1	IPH0_1 = 1;
#define SET_IPH0_2	IPH0_2 = 1;
#define SET_IPH0_3	IPH0_3 = 1;
#define SET_IPH0_4	IPH0_4 = 1;
#define SET_IPH0_5	IPH0_5 = 1;
#define SET_IPH0_6	IPH0_6 = 1;
#define SET_IPL0_0	IPL0_0 = 1;
#define SET_IPL0_1	IPL0_1 = 1;
#define SET_IPL0_2	IPL0_2 = 1;
#define SET_IPL0_3	IPL0_3 = 1;
#define SET_IPL0_4	IPL0_4 = 1;
#define SET_IPL0_5	IPL0_5 = 1;
#define SET_IPL0_6	IPL0_6 = 1;
#define SET_FTXD0	FTXD0 = 1;
#define SET_FRXD0	FRXD0 = 1;
#define SET_FTXD1	FTXD1 = 1;
#define SET_FRXD1	FRXD1 = 1;
#define SET_FTXD2	FTXD2 = 1;
#define SET_FRXD2	FRXD2 = 1;
#define SET_FTXD3	FTXD3 = 1;
#define SET_FRXD3	FRXD3 = 1;
#define SET_FTXD4	FTXD4 = 1;
#define SET_FRXD4	FRXD4 = 1;
#define SET_FTXD5	FTXD5 = 1;
#define SET_FRXD5	FRXD5 = 1;
#define SET_CPRL2	CPRL2 = 1;
#define SET_CT2		CT2 = 1;
#define SET_TR2		TR2 = 1;
#define SET_EXEN2	EXEN2 = 1;
#define SET_TCLK	TCLK = 1;
#define SET_RCLK	RCLK = 1;
#define SET_EXF2	EXF2 = 1;
#define SET_TF2		TF2 = 1;
#define SET_DCEN	DCEN = 1;
#define SET_T2OE	T2OE = 1;
#define SET_TS0		TS0 = 1;
#define SET_TS1		TS1 = 1;
#define SET_TS2		TS2 = 1;
#define SET_TS3		TS3 = 1;
#define SET_TS4		TS4 = 1;
#define SET_TS5		TS5 = 1;
#define SET_TS6		TS6 = 1;
#define SET_TS7		TS7 = 1;
#define SET_TS8		TS8 = 1;
#define SET_TS9		TS9 = 1;
#define SET_TS10	TS10 = 1;
#define SET_SOFODIS	SOFODIS = 1;
#define SET_FTLOCK	FTLOCK = 1;
#define SET_SOFIE	SOFIE = 1;
#define SET_ASOF	ASOF = 1;
#define SET_SOFACK	SOFACK = 1;
#define SET_CCF0	CCF0 = 1;
#define SET_CCF1	CCF1 = 1;
#define SET_CCF2	CCF2 = 1;
#define SET_CCF3	CCF3 = 1;
#define SET_CCF4	CCF4 = 1;
#define SET_CR		CR = 1;
#define SET_CF		CF = 1;
#define SET_ECF		ECF = 1;
#define SET_CPS0	CPS0 = 1;
#define SET_CPS1	CPS1 = 1;
#define SET_WDTE	WDTE = 1;
#define SET_CIDL	CIDL = 1;
#define SET_ECCF0	ECCF0 = 1;
#define SET_PWM0	PWM0 = 1;
#define SET_TOG0	TOG0 = 1;
#define SET_MAT0	MAT0 = 1;
#define SET_CAPN0	CAPN0 = 1;
#define SET_CAPP0	CAPP0 = 1;
#define SET_ECOM0	ECOM0 = 1;
#define SET_ECCF1	ECCF1 = 1;
#define SET_PWM1	PWM1 = 1;
#define SET_TOG1	TOG1 = 1;
#define SET_MAT1	MAT1 = 1;
#define SET_CAPN1	CAPN1 = 1;
#define SET_CAPP1	CAPP1 = 1;
#define SET_ECOM1	ECOM1 = 1;
#define SET_ECCF2	ECCF2 = 1;
#define SET_PWM2	PWM2 = 1;
#define SET_TOG2	TOG2 = 1;
#define SET_MAT2	MAT2 = 1;
#define SET_CAPN2	CAPN2 = 1;
#define SET_CAPP2	CAPP2 = 1;
#define SET_ECOM2	ECOM2 = 1;
#define SET_ECCF3	ECCF3 = 1;
#define SET_PWM3	PWM3 = 1;
#define SET_TOG3	TOG3 = 1;
#define SET_MAT3	MAT3 = 1;
#define SET_CAPN3	CAPN3 = 1;
#define SET_CAPP3	CAPP3 = 1;
#define SET_ECOM3	ECOM3 = 1;
#define SET_ECCF4	ECCF4 = 1;
#define SET_PWM4	PWM4 = 1;
#define SET_TOG4	TOG4 = 1;
#define SET_MAT4	MAT4 = 1;
#define SET_CAPN4	CAPN4 = 1;
#define SET_CAPP4	CAPP4 = 1;
#define SET_ECOM4	ECOM4 = 1;
#define SET_GSUS	GSUS = 1;
#define SET_GRSM	GRSM = 1;
#define SET_RWU		RWU = 1;
#define SET_URST	URST = 1;
#define SET_URDIS	URDIS = 1;
#define SET_TXEPEN	TXEPEN = 1;
#define SET_TXOE	TXOE = 1;
#define SET_RXEPEN	RXEPEN = 1;
#define SET_RXIE	RXIE = 1;
#define SET_RXSPM	RXSPM = 1;
#define SET_CTLEP	CTLEP = 1;
#define SET_TXSTL	TXSTL = 1;
#define SET_RXSTL	RXSTL = 1;
#define SET_RXACK	RXACK = 1;
#define SET_RXERR	RXERR = 1;
#define SET_RXVOID	RXVOID = 1;
#define SET_RXSOVW	RXSOVW = 1;
#define SET_EDOVW	EDOVW = 1;
#define SET_STOVW	STOVW = 1;
#define SET_RXSETUP	RXSETUP = 1;
#define SET_RXSEQ	RXSEQ = 1;
#define SET_REVWP	REVWP = 1;
#define SET_ADVWM	ADVWM = 1;
#define SET_ARM		ARM = 1;
#define SET_RXISO	RXISO = 1;
#define SET_RXFFRC	RXFFRC = 1;
#define SET_RXWS	RXWS = 1;
#define SET_RXCLR	RXCLR = 1;
#define SET_RXOVF	RXOVF = 1;
#define SET_RXURF	RXURF = 1;
#define SET_RXFULL	RXFULL = 1;
#define SET_RXEMP	RXEMP = 1;
#define SET_RXFIF0	RXFIF0 = 1;
#define SET_RXFIF1	RXFIF1 = 1;
#define SET_RX_BC0	RX_BC0 = 1;
#define SET_RX_BC1	RX_BC1 = 1;
#define SET_RX_BC2	RX_BC2 = 1;
#define SET_RX_BC3	RX_BC3 = 1;
#define SET_RX_BC4	RX_BC4 = 1;
#define SET_RX_BC5	RX_BC5 = 1;
#define SET_RX_BC6	RX_BC6 = 1;
#define SET_RX_BC7	RX_BC7 = 1;
#define SET_RX_BC8	RX_BC8 = 1;
#define SET_RX_BC9	RX_BC9 = 1;
#define SET_EPINX0	EPINX0 = 1;
#define SET_EPINX1	EPINX1 = 1;
#define SET_EPINX2	EPINX2 = 1;
#define SET_HORF	HORF = 1;
#define SET_TXACK	TXACK = 1;
#define SET_TXERR	TXERR = 1;
#define SET_TXVOID	TXVOID = 1;
#define SET_TXSOVW	TXSOVW = 1;
#define SET_TXFLUSH	TXFLUSH = 1;
#define SET_TXSEQ	TXSEQ = 1;
#define SET_REVRP	REVRP = 1;
#define SET_ADVRM	ADVRM = 1;
#define SET_ATM		ATM = 1;
#define SET_TXISO	TXISO = 1;
#define SET_FFSZ0	FFSZ0 = 1;
#define SET_FFSZ1	FFSZ1 = 1;
#define SET_TXCLR	TXCLR = 1;
#define SET_TXOVF	TXOVF = 1;
#define SET_TXURF	TXURF = 1;
#define SET_TXFULL	TXFULL = 1;
#define SET_TXEMP	TXEMP = 1;
#define SET_TXFIF0	TXFIF0 = 1;
#define SET_TXFIF1	TXFIF1 = 1;
#define SET_TX_BC0	TX_BC0 = 1;
#define SET_TX_BC1	TX_BC1 = 1;
#define SET_TX_BC2	TX_BC2 = 1;
#define SET_TX_BC3	TX_BC3 = 1;
#define SET_TX_BC4	TX_BC4 = 1;
#define SET_TX_BC5	TX_BC5 = 1;
#define SET_TX_BC6	TX_BC6 = 1;
#define SET_TX_BC7	TX_BC7 = 1;
#define SET_TX_BC8	TX_BC8 = 1;
#define SET_TX_BC9	TX_BC9 = 1;
#define SET_HTXE0	HTXE0 = 1;
#define SET_HRXE0	HRXE0 = 1;
#define SET_HTXD0	HTXD0 = 1;
#define SET_HRXD0	HRXD0 = 1;
#define SET_HPCON_0	HPCON_0 = 1;
#define SET_HPCON_1	HPCON_1 = 1;
#define SET_HPCON_2	HPCON_2 = 1;
#define SET_HPIDX0	HPIDX0 = 1;
#define SET_HPIDX1	HPIDX1 = 1;
#define SET_HPIDX2	HPIDX2 = 1;
#define SET_HPPWR1	HPPWR1 = 1;
#define SET_HPPWR2	HPPWR2 = 1;
#define SET_HPPWR3	HPPWR3 = 1;
#define SET_HPPWR4	HPPWR4 = 1;
#define SET_PCSC	PCSC = 1;
#define SET_PESC	PESC = 1;
#define SET_PSSC	PSSC = 1;
#define SET_RSTSC	RSTSC = 1;
#define SET_PCSTAT	PCSTAT = 1;
#define SET_PESTAT	PESTAT = 1;
#define SET_PSSTAT	PSSTAT = 1;
#define SET_PRSTAT	PRSTAT = 1;
#define SET_PPSTAT	PPSTAT = 1;
#define SET_LSSTAT	LSSTAT = 1;
#define SET_DMSTAT	DMSTAT = 1;
#define SET_DPSTAT	DPSTAT = 1;
#define SET_OVI		OVI = 1;
#define SET_OVISC	OVISC = 1;
#define SET_EP1EN	EP1EN = 1;
#define SET_EP1STL	EP1STL = 1;
#define SET_HRWUPE	HRWUPE = 1;
#define SET_UD		UD = 1;
#define SET_OV		OV = 1;
#define SET_RS0		RS0 = 1;
#define SET_RS1		RS1 = 1;
#define SET_F0		F0 = 1;
#define SET_AC		AC = 1;
#define SET_CY		CY = 1;
#define SET_RI		RI = 1;
#define SET_TI		TI = 1;
#define SET_RB8		RB8 = 1;
#define SET_TB8		TB8 = 1;
#define SET_REN		REN = 1;
#define SET_SM2		SM2 = 1;
#define SET_SM1		SM1 = 1;
#define SET_SM0		SM0 = 1;
#define SET_FE		FE = 1;
#define SET_IT0		IT0 = 1;
#define SET_IE0		IE0 = 1;
#define SET_IT1		IT1 = 1;
#define SET_IE1		IE1 = 1;
#define SET_TR0		TR0 = 1;
#define SET_TF0		TF0 = 1;
#define SET_TR1		TR1 = 1;
#define SET_TF1		TF1 = 1;
#define SET_RTWE	RTWE = 1;
#define SET_RTWCE	RTWCE = 1;
#define GET_P0_0	P0_0
#define GET_P0_1	P0_1
#define GET_P0_2	P0_2
#define GET_P0_3	P0_3
#define GET_P0_4	P0_4
#define GET_P0_5	P0_5
#define GET_P0_6	P0_6
#define GET_P0_7	P0_7
#define GET_IDL		IDL
#define GET_PD		PD
#define GET_GF0		GF0
#define GET_GF1		GF1
#define GET_POF		POF
#define GET_LC		LC
#define GET_SMOD0	SMOD0
#define GET_SMOD1	SMOD1
#define GET_M00		M00
#define GET_M10		M10
#define GET_CT0		CT0
#define GET_GATE0	GATE0
#define GET_M01		M01
#define GET_M11		M11
#define GET_CT1		CT1
#define GET_GATE1	GATE1
#define GET_A0		A0
#define GET_A1		A1
#define GET_A2		A2
#define GET_A3		A3
#define GET_A4		A4
#define GET_A5		A5
#define GET_A6		A6
#define GET_P1_0	P1_0
#define GET_T2		T2
#define GET_P1_1	P1_1
#define GET_T2EX	T2EX
#define GET_P1_2	P1_2
#define GET_ECI		ECI
#define GET_P1_3	P1_3
#define GET_CEX0	CEX0
#define GET_P1_4	P1_4
#define GET_CEX1	CEX1
#define GET_P1_5	P1_5
#define GET_CEX2	CEX2
#define GET_P1_6	P1_6
#define GET_CEX3	CEX3
#define GET_WAIT	WAIT
#define GET_P1_7	P1_7
#define GET_CEX4	CEX4
#define GET_A17		A17
#define GET_WCLK	WCLK
#define GET_P2_0	P2_0
#define GET_P2_1	P2_1
#define GET_P2_2	P2_2
#define GET_P2_3	P2_3
#define GET_P2_4	P2_4
#define GET_P2_5	P2_5
#define GET_P2_6	P2_6
#define GET_P2_7	P2_7
#define GET_FTXIE0	FTXIE0
#define GET_FRXIE0	FRXIE0
#define GET_FTXIE1	FTXIE1
#define GET_FRXIE1	FRXIE1
#define GET_FTXIE2	FTXIE2
#define GET_FRXIE2	FRXIE2
#define GET_FTXIE3	FTXIE3
#define GET_FRXIE3	FRXIE3
#define GET_EX0		EX0
#define GET_ET0		ET0
#define GET_EX1		EX1
#define GET_ET1		ET1
#define GET_ES		ES
#define GET_ET2		ET2
#define GET_EC		EC
#define GET_EA		EA
#define GET_P3_0	P3_0
#define GET_P3_1	P3_1
#define GET_P3_2	P3_2
#define GET_P3_3	P3_3
#define GET_P3_4	P3_4
#define GET_P3_5	P3_5
#define GET_P3_6	P3_6
#define GET_P3_7	P3_7
#define GET_ESOF	ESOF
#define GET_EF		EF
#define GET_ESR		ESR
#define GET_IPL1_0	IPL1_0
#define GET_IPL1_1	IPL1_1
#define GET_IPL1_2	IPL1_2
#define GET_IPH1_0	IPH1_0
#define GET_IPH1_1	IPH1_1
#define GET_IPH1_2	IPH1_2
#define GET_IPH0_0	IPH0_0
#define GET_IPH0_1	IPH0_1
#define GET_IPH0_2	IPH0_2
#define GET_IPH0_3	IPH0_3
#define GET_IPH0_4	IPH0_4
#define GET_IPH0_5	IPH0_5
#define GET_IPH0_6	IPH0_6
#define GET_IPL0_0	IPL0_0
#define GET_IPL0_1	IPL0_1
#define GET_IPL0_2	IPL0_2
#define GET_IPL0_3	IPL0_3
#define GET_IPL0_4	IPL0_4
#define GET_IPL0_5	IPL0_5
#define GET_IPL0_6	IPL0_6
#define GET_FTXD0	FTXD0
#define GET_FRXD0	FRXD0
#define GET_FTXD1	FTXD1
#define GET_FRXD1	FRXD1
#define GET_FTXD2	FTXD2
#define GET_FRXD2	FRXD2
#define GET_FTXD3	FTXD3
#define GET_FRXD3	FRXD3
#define GET_FTXD4	FTXD4
#define GET_FRXD4	FRXD4
#define GET_FTXD5	FTXD5
#define GET_FRXD5	FRXD5
#define GET_CPRL2	CPRL2
#define GET_CT2		CT2
#define GET_TR2		TR2
#define GET_EXEN2	EXEN2
#define GET_TCLK	TCLK
#define GET_RCLK	RCLK
#define GET_EXF2	EXF2
#define GET_TF2		TF2
#define GET_DCEN	DCEN
#define GET_T2OE	T2OE
#define GET_TS0		TS0
#define GET_TS1		TS1
#define GET_TS2		TS2
#define GET_TS3		TS3
#define GET_TS4		TS4
#define GET_TS5		TS5
#define GET_TS6		TS6
#define GET_TS7		TS7
#define GET_TS8		TS8
#define GET_TS9		TS9
#define GET_TS10	TS10
#define GET_SOFODIS	SOFODIS
#define GET_FTLOCK	FTLOCK
#define GET_SOFIE	SOFIE
#define GET_ASOF	ASOF
#define GET_SOFACK	SOFACK
#define GET_CCF0	CCF0
#define GET_CCF1	CCF1
#define GET_CCF2	CCF2
#define GET_CCF3	CCF3
#define GET_CCF4	CCF4
#define GET_CR		CR
#define GET_CF		CF
#define GET_ECF		ECF
#define GET_CPS0	CPS0
#define GET_CPS1	CPS1
#define GET_WDTE	WDTE
#define GET_CIDL	CIDL
#define GET_ECCF0	ECCF0
#define GET_PWM0	PWM0
#define GET_TOG0	TOG0
#define GET_MAT0	MAT0
#define GET_CAPN0	CAPN0
#define GET_CAPP0	CAPP0
#define GET_ECOM0	ECOM0
#define GET_ECCF1	ECCF1
#define GET_PWM1	PWM1
#define GET_TOG1	TOG1
#define GET_MAT1	MAT1
#define GET_CAPN1	CAPN1
#define GET_CAPP1	CAPP1
#define GET_ECOM1	ECOM1
#define GET_ECCF2	ECCF2
#define GET_PWM2	PWM2
#define GET_TOG2	TOG2
#define GET_MAT2	MAT2
#define GET_CAPN2	CAPN2
#define GET_CAPP2	CAPP2
#define GET_ECOM2	ECOM2
#define GET_ECCF3	ECCF3
#define GET_PWM3	PWM3
#define GET_TOG3	TOG3
#define GET_MAT3	MAT3
#define GET_CAPN3	CAPN3
#define GET_CAPP3	CAPP3
#define GET_ECOM3	ECOM3
#define GET_ECCF4	ECCF4
#define GET_PWM4	PWM4
#define GET_TOG4	TOG4
#define GET_MAT4	MAT4
#define GET_CAPN4	CAPN4
#define GET_CAPP4	CAPP4
#define GET_ECOM4	ECOM4
#define GET_GSUS	GSUS
#define GET_GRSM	GRSM
#define GET_RWU		RWU
#define GET_TXEPEN	TXEPEN
#define GET_TXOE	TXOE
#define GET_RXEPEN	RXEPEN
#define GET_RXIE	RXIE
#define GET_RXSPM	RXSPM
#define GET_CTLEP	CTLEP
#define GET_TXSTL	TXSTL
#define GET_RXSTL	RXSTL
#define GET_RXACK	RXACK
#define GET_RXERR	RXERR
#define GET_RXVOID	RXVOID
#define GET_RXSOVW	RXSOVW
#define GET_EDOVW	EDOVW
#define GET_STOVW	STOVW
#define GET_RXSETUP	RXSETUP
#define GET_RXSEQ	RXSEQ
#define GET_REVWP	REVWP
#define GET_ADVWM	ADVWM
#define GET_ARM		ARM
#define GET_RXISO	RXISO
#define GET_RXFFRC	RXFFRC
#define GET_RXWS	RXWS
#define GET_RXCLR	RXCLR
#define GET_RXOVF	RXOVF
#define GET_RXURF	RXURF
#define GET_RXFULL	RXFULL
#define GET_RXEMP	RXEMP
#define GET_RXFIF0	RXFIF0
#define GET_RXFIF1	RXFIF1
#define GET_RX_BC0	RX_BC0
#define GET_RX_BC1	RX_BC1
#define GET_RX_BC2	RX_BC2
#define GET_RX_BC3	RX_BC3
#define GET_RX_BC4	RX_BC4
#define GET_RX_BC5	RX_BC5
#define GET_RX_BC6	RX_BC6
#define GET_RX_BC7	RX_BC7
#define GET_RX_BC8	RX_BC8
#define GET_RX_BC9	RX_BC9
#define GET_EPINX0	EPINX0
#define GET_EPINX1	EPINX1
#define GET_EPINX2	EPINX2
#define GET_HORF	HORF
#define GET_TXACK	TXACK
#define GET_TXERR	TXERR
#define GET_TXVOID	TXVOID
#define GET_TXSOVW	TXSOVW
#define GET_TXFLUSH	TXFLUSH
#define GET_TXSEQ	TXSEQ
#define GET_REVRP	REVRP
#define GET_ADVRM	ADVRM
#define GET_ATM		ATM
#define GET_TXISO	TXISO
#define GET_FFSZ0	FFSZ0
#define GET_FFSZ1	FFSZ1
#define GET_TXCLR	TXCLR
#define GET_TXOVF	TXOVF
#define GET_TXURF	TXURF
#define GET_TXFULL	TXFULL
#define GET_TXEMP	TXEMP
#define GET_TXFIF0	TXFIF0
#define GET_TXFIF1	TXFIF1
#define GET_TX_BC0	TX_BC0
#define GET_TX_BC1	TX_BC1
#define GET_TX_BC2	TX_BC2
#define GET_TX_BC3	TX_BC3
#define GET_TX_BC4	TX_BC4
#define GET_TX_BC5	TX_BC5
#define GET_TX_BC6	TX_BC6
#define GET_TX_BC7	TX_BC7
#define GET_TX_BC8	TX_BC8
#define GET_TX_BC9	TX_BC9
#define GET_HTXE0	HTXE0
#define GET_HRXE0	HRXE0
#define GET_HTXD0	HTXD0
#define GET_HRXD0	HRXD0
#define GET_HPCON_0	HPCON_0
#define GET_HPCON_1	HPCON_1
#define GET_HPCON_2	HPCON_2
#define GET_HPIDX0	HPIDX0
#define GET_HPIDX1	HPIDX1
#define GET_HPIDX2	HPIDX2
#define GET_HPPWR1	HPPWR1
#define GET_HPPWR2	HPPWR2
#define GET_HPPWR3	HPPWR3
#define GET_HPPWR4	HPPWR4
#define GET_PCSC	PCSC
#define GET_PESC	PESC
#define GET_PSSC	PSSC
#define GET_RSTSC	RSTSC
#define GET_PCSTAT	PCSTAT
#define GET_PESTAT	PESTAT
#define GET_PSSTAT	PSSTAT
#define GET_PRSTAT	PRSTAT
#define GET_PPSTAT	PPSTAT
#define GET_LSSTAT	LSSTAT
#define GET_DMSTAT	DMSTAT
#define GET_DPSTAT	DPSTAT
#define GET_OVI		OVI
#define GET_OVISC	OVISC
#define GET_EP1EN	EP1EN
#define GET_EP1STL	EP1STL
#define GET_HRWUPE	HRWUPE
#define GET_UD		UD
#define GET_OV		OV
#define GET_RS0		RS0
#define GET_RS1		RS1
#define GET_F0		F0
#define GET_AC		AC
#define GET_CY		CY
#define GET_RI		RI
#define GET_TI		TI
#define GET_RB8		RB8
#define GET_TB8		TB8
#define GET_REN		REN
#define GET_SM2		SM2
#define GET_SM1		SM1
#define GET_SM0		SM0
#define GET_FE		FE
#define GET_IT0		IT0
#define GET_IE0		IE0
#define GET_IT1		IT1
#define GET_IE1		IE1
#define GET_TR0		TR0
#define GET_TF0		TF0
#define GET_TR1		TR1
#define GET_TF1		TF1
#define GET_RTWE	RTWE
#define GET_RTWCE	RTWCE
#define CLR_P0_0	P0_0 = 0;
#define CLR_P0_1	P0_1 = 0;
#define CLR_P0_2	P0_2 = 0;
#define CLR_P0_3	P0_3 = 0;
#define CLR_P0_4	P0_4 = 0;
#define CLR_P0_5	P0_5 = 0;
#define CLR_P0_6	P0_6 = 0;
#define CLR_P0_7	P0_7 = 0;
#define CLR_IDL		IDL = 0;
#define CLR_PD		PD = 0;
#define CLR_GF0		GF0 = 0;
#define CLR_GF1		GF1 = 0;
#define CLR_POF		POF = 0;
#define CLR_LC		LC = 0;
#define CLR_SMOD0	SMOD0 = 0;
#define CLR_SMOD1	SMOD1 = 0;
#define CLR_M00		M00 = 0;
#define CLR_M10		M10 = 0;
#define CLR_CT0		CT0 = 0;
#define CLR_GATE0	GATE0 = 0;
#define CLR_M01		M01 = 0;
#define CLR_M11		M11 = 0;
#define CLR_CT1		CT1 = 0;
#define CLR_GATE1	GATE1 = 0;
#define CLR_A0		A0 = 0;
#define CLR_A1		A1 = 0;
#define CLR_A2		A2 = 0;
#define CLR_A3		A3 = 0;
#define CLR_A4		A4 = 0;
#define CLR_A5		A5 = 0;
#define CLR_A6		A6 = 0;
#define CLR_P1_0	P1_0 = 0;
#define CLR_T2		T2 = 0;
#define CLR_P1_1	P1_1 = 0;
#define CLR_T2EX	T2EX = 0;
#define CLR_P1_2	P1_2 = 0;
#define CLR_ECI		ECI = 0;
#define CLR_P1_3	P1_3 = 0;
#define CLR_CEX0	CEX0 = 0;
#define CLR_P1_4	P1_4 = 0;
#define CLR_CEX1	CEX1 = 0;
#define CLR_P1_5	P1_5 = 0;
#define CLR_CEX2	CEX2 = 0;
#define CLR_P1_6	P1_6 = 0;
#define CLR_CEX3	CEX3 = 0;
#define CLR_WAIT	WAIT = 0;
#define CLR_P1_7	P1_7 = 0;
#define CLR_CEX4	CEX4 = 0;
#define CLR_A17		A17 = 0;
#define CLR_WCLK	WCLK = 0;
#define CLR_P2_0	P2_0 = 0;
#define CLR_P2_1	P2_1 = 0;
#define CLR_P2_2	P2_2 = 0;
#define CLR_P2_3	P2_3 = 0;
#define CLR_P2_4	P2_4 = 0;
#define CLR_P2_5	P2_5 = 0;
#define CLR_P2_6	P2_6 = 0;
#define CLR_P2_7	P2_7 = 0;
#define CLR_FTXIE0	FTXIE0 = 0;
#define CLR_FRXIE0	FRXIE0 = 0;
#define CLR_FTXIE1	FTXIE1 = 0;
#define CLR_FRXIE1	FRXIE1 = 0;
#define CLR_FTXIE2	FTXIE2 = 0;
#define CLR_FRXIE2	FRXIE2 = 0;
#define CLR_FTXIE3	FTXIE3 = 0;
#define CLR_FRXIE3	FRXIE3 = 0;
#define CLR_EX0		EX0 = 0;
#define CLR_ET0		ET0 = 0;
#define CLR_EX1		EX1 = 0;
#define CLR_ET1		ET1 = 0;
#define CLR_ES		ES = 0;
#define CLR_ET2		ET2 = 0;
#define CLR_EC		EC = 0;
#define CLR_EA		EA = 0;
#define CLR_P3_0	P3_0 = 0;
#define CLR_P3_1	P3_1 = 0;
#define CLR_P3_2	P3_2 = 0;
#define CLR_P3_3	P3_3 = 0;
#define CLR_P3_4	P3_4 = 0;
#define CLR_P3_5	P3_5 = 0;
#define CLR_P3_6	P3_6 = 0;
#define CLR_P3_7	P3_7 = 0;
#define CLR_ESOF	ESOF = 0;
#define CLR_EF		EF = 0;
#define CLR_ESR		ESR = 0;
#define CLR_IPL1_0	IPL1_0 = 0;
#define CLR_IPL1_1	IPL1_1 = 0;
#define CLR_IPL1_2	IPL1_2 = 0;
#define CLR_IPH1_0	IPH1_0 = 0;
#define CLR_IPH1_1	IPH1_1 = 0;
#define CLR_IPH1_2	IPH1_2 = 0;
#define CLR_IPH0_0	IPH0_0 = 0;
#define CLR_IPH0_1	IPH0_1 = 0;
#define CLR_IPH0_2	IPH0_2 = 0;
#define CLR_IPH0_3	IPH0_3 = 0;
#define CLR_IPH0_4	IPH0_4 = 0;
#define CLR_IPH0_5	IPH0_5 = 0;
#define CLR_IPH0_6	IPH0_6 = 0;
#define CLR_IPL0_0	IPL0_0 = 0;
#define CLR_IPL0_1	IPL0_1 = 0;
#define CLR_IPL0_2	IPL0_2 = 0;
#define CLR_IPL0_3	IPL0_3 = 0;
#define CLR_IPL0_4	IPL0_4 = 0;
#define CLR_IPL0_5	IPL0_5 = 0;
#define CLR_IPL0_6	IPL0_6 = 0;
#define CLR_FTXD0	FTXD0 = 0;
#define CLR_FRXD0	FRXD0 = 0;
#define CLR_FTXD1	FTXD1 = 0;
#define CLR_FRXD1	FRXD1 = 0;
#define CLR_FTXD2	FTXD2 = 0;
#define CLR_FRXD2	FRXD2 = 0;
#define CLR_FTXD3	FTXD3 = 0;
#define CLR_FRXD3	FRXD3 = 0;
#define CLR_FTXD4	FTXD4 = 0;
#define CLR_FRXD4	FRXD4 = 0;
#define CLR_FTXD5	FTXD5 = 0;
#define CLR_FRXD5	FRXD5 = 0;
#define CLR_CPRL2	CPRL2 = 0;
#define CLR_CT2		CT2 = 0;
#define CLR_TR2		TR2 = 0;
#define CLR_EXEN2	EXEN2 = 0;
#define CLR_TCLK	TCLK = 0;
#define CLR_RCLK	RCLK = 0;
#define CLR_EXF2	EXF2 = 0;
#define CLR_TF2		TF2 = 0;
#define CLR_DCEN	DCEN = 0;
#define CLR_T2OE	T2OE = 0;
#define CLR_TS0		TS0 = 0;
#define CLR_TS1		TS1 = 0;
#define CLR_TS2		TS2 = 0;
#define CLR_TS3		TS3 = 0;
#define CLR_TS4		TS4 = 0;
#define CLR_TS5		TS5 = 0;
#define CLR_TS6		TS6 = 0;
#define CLR_TS7		TS7 = 0;
#define CLR_TS8		TS8 = 0;
#define CLR_TS9		TS9 = 0;
#define CLR_TS10	TS10 = 0;
#define CLR_SOFODIS	SOFODIS = 0;
#define CLR_FTLOCK	FTLOCK = 0;
#define CLR_SOFIE	SOFIE = 0;
#define CLR_ASOF	ASOF = 0;
#define CLR_SOFACK	SOFACK = 0;
#define CLR_CCF0	CCF0 = 0;
#define CLR_CCF1	CCF1 = 0;
#define CLR_CCF2	CCF2 = 0;
#define CLR_CCF3	CCF3 = 0;
#define CLR_CCF4	CCF4 = 0;
#define CLR_CR		CR = 0;
#define CLR_CF		CF = 0;
#define CLR_ECF		ECF = 0;
#define CLR_CPS0	CPS0 = 0;
#define CLR_CPS1	CPS1 = 0;
#define CLR_WDTE	WDTE = 0;
#define CLR_CIDL	CIDL = 0;
#define CLR_ECCF0	ECCF0 = 0;
#define CLR_PWM0	PWM0 = 0;
#define CLR_TOG0	TOG0 = 0;
#define CLR_MAT0	MAT0 = 0;
#define CLR_CAPN0	CAPN0 = 0;
#define CLR_CAPP0	CAPP0 = 0;
#define CLR_ECOM0	ECOM0 = 0;
#define CLR_ECCF1	ECCF1 = 0;
#define CLR_PWM1	PWM1 = 0;
#define CLR_TOG1	TOG1 = 0;
#define CLR_MAT1	MAT1 = 0;
#define CLR_CAPN1	CAPN1 = 0;
#define CLR_CAPP1	CAPP1 = 0;
#define CLR_ECOM1	ECOM1 = 0;
#define CLR_ECCF2	ECCF2 = 0;
#define CLR_PWM2	PWM2 = 0;
#define CLR_TOG2	TOG2 = 0;
#define CLR_MAT2	MAT2 = 0;
#define CLR_CAPN2	CAPN2 = 0;
#define CLR_CAPP2	CAPP2 = 0;
#define CLR_ECOM2	ECOM2 = 0;
#define CLR_ECCF3	ECCF3 = 0;
#define CLR_PWM3	PWM3 = 0;
#define CLR_TOG3	TOG3 = 0;
#define CLR_MAT3	MAT3 = 0;
#define CLR_CAPN3	CAPN3 = 0;
#define CLR_CAPP3	CAPP3 = 0;
#define CLR_ECOM3	ECOM3 = 0;
#define CLR_ECCF4	ECCF4 = 0;
#define CLR_PWM4	PWM4 = 0;
#define CLR_TOG4	TOG4 = 0;
#define CLR_MAT4	MAT4 = 0;
#define CLR_CAPN4	CAPN4 = 0;
#define CLR_CAPP4	CAPP4 = 0;
#define CLR_ECOM4	ECOM4 = 0;
#define CLR_GSUS	GSUS = 0;
#define CLR_GRSM	GRSM = 0;
#define CLR_RWU		RWU = 0;
#define CLR_URST	URST = 1;
#define CLR_URDIS	URDIS = 1;
#define CLR_TXEPEN	TXEPEN = 0;
#define CLR_TXOE	TXOE = 0;
#define CLR_RXEPEN	RXEPEN = 0;
#define CLR_RXIE	RXIE = 0;
#define CLR_RXSPM	RXSPM = 0;
#define CLR_CTLEP	CTLEP = 0;
#define CLR_TXSTL	TXSTL = 0;
#define CLR_RXSTL	RXSTL = 0;
#define CLR_RXACK	RXACK = 0;
#define CLR_RXERR	RXERR = 0;
#define CLR_RXVOID	RXVOID = 0;
#define CLR_RXSOVW	RXSOVW = 0;
#define CLR_EDOVW	EDOVW = 0;
#define CLR_STOVW	STOVW = 0;
#define CLR_RXSETUP	RXSETUP = 0;
#define CLR_RXSEQ	RXSEQ = 0;
#define RXCLR_		0x80
#define CLR_REVWP	REVWP = 0;
#define CLR_ADVWM	ADVWM = 0;
#define CLR_ARM		ARM = 0;
#define CLR_RXISO	RXISO = 0;
#define CLR_RXFFRC	RXFFRC = 0;
#define CLR_RXWS	RXWS = 0;
#define CLR_RXCLR	RXCLR = 0;
#define CLR_RXOVF	RXOVF = 0;
#define CLR_RXURF	RXURF = 0;
#define CLR_RXFULL	RXFULL = 0;
#define CLR_RXEMP	RXEMP = 0;
#define CLR_RXFIF0	RXFIF0 = 0;
#define CLR_RXFIF1	RXFIF1 = 0;
#define CLR_RX_BC0	RX_BC0 = 0;
#define CLR_RX_BC1	RX_BC1 = 0;
#define CLR_RX_BC2	RX_BC2 = 0;
#define CLR_RX_BC3	RX_BC3 = 0;
#define CLR_RX_BC4	RX_BC4 = 0;
#define CLR_RX_BC5	RX_BC5 = 0;
#define CLR_RX_BC6	RX_BC6 = 0;
#define CLR_RX_BC7	RX_BC7 = 0;
#define CLR_RX_BC8	RX_BC8 = 0;
#define CLR_RX_BC9	RX_BC9 = 0;
#define CLR_EPINX0	EPINX0 = 0;
#define CLR_EPINX1	EPINX1 = 0;
#define CLR_EPINX2	EPINX2 = 0;
#define CLR_HORF	HORF = 0;
#define CLR_TXACK	TXACK = 0;
#define CLR_TXERR	TXERR = 0;
#define CLR_TXVOID	TXVOID = 0;
#define CLR_TXSOVW	TXSOVW = 0;
#define CLR_TXFLUSH	TXFLUSH = 0;
#define CLR_TXSEQ	TXSEQ = 0;
#define TXCLR_		0x80
#define CLR_REVRP	REVRP = 0;
#define CLR_ADVRM	ADVRM = 0;
#define CLR_ATM		ATM = 0;
#define CLR_TXISO	TXISO = 0;
#define CLR_FFSZ0	FFSZ0 = 0;
#define CLR_FFSZ1	FFSZ1 = 0;
#define CLR_TXCLR	TXCLR = 0;
#define CLR_TXOVF	TXOVF = 0;
#define CLR_TXURF	TXURF = 0;
#define CLR_TXFULL	TXFULL = 0;
#define CLR_TXEMP	TXEMP = 0;
#define CLR_TXFIF0	TXFIF0 = 0;
#define CLR_TXFIF1	TXFIF1 = 0;
#define CLR_TX_BC0	TX_BC0 = 0;
#define CLR_TX_BC1	TX_BC1 = 0;
#define CLR_TX_BC2	TX_BC2 = 0;
#define CLR_TX_BC3	TX_BC3 = 0;
#define CLR_TX_BC4	TX_BC4 = 0;
#define CLR_TX_BC5	TX_BC5 = 0;
#define CLR_TX_BC6	TX_BC6 = 0;
#define CLR_TX_BC7	TX_BC7 = 0;
#define CLR_TX_BC8	TX_BC8 = 0;
#define CLR_TX_BC9	TX_BC9 = 0;
#define CLR_HTXE0	HTXE0 = 0;
#define CLR_HRXE0	HRXE0 = 0;
#define CLR_HTXD0	HTXD0 = 0;
#define CLR_HRXD0	HRXD0 = 0;
#define CLR_HPCON_0	HPCON_0 = 0;
#define CLR_HPCON_1	HPCON_1 = 0;
#define CLR_HPCON_2	HPCON_2 = 0;
#define CLR_HPIDX0	HPIDX0 = 0;
#define CLR_HPIDX1	HPIDX1 = 0;
#define CLR_HPIDX2	HPIDX2 = 0;
#define CLR_HPPWR1	HPPWR1 = 0;
#define CLR_HPPWR2	HPPWR2 = 0;
#define CLR_HPPWR3	HPPWR3 = 0;
#define CLR_HPPWR4	HPPWR4 = 0;
#define CLR_PCSC	PCSC = 0;
#define CLR_PESC	PESC = 0;
#define CLR_PSSC	PSSC = 0;
#define CLR_RSTSC	RSTSC = 0;
#define CLR_PCSTAT	PCSTAT = 0;
#define CLR_PESTAT	PESTAT = 0;
#define CLR_PSSTAT	PSSTAT = 0;
#define CLR_PRSTAT	PRSTAT = 0;
#define CLR_PPSTAT	PPSTAT = 0;
#define CLR_LSSTAT	LSSTAT = 0;
#define CLR_DMSTAT	DMSTAT = 0;
#define CLR_DPSTAT	DPSTAT = 0;
#define CLR_OVI		OVI = 0;
#define CLR_OVISC	OVISC = 0;
#define CLR_EP1EN	EP1EN = 0;
#define CLR_EP1STL	EP1STL = 0;
#define CLR_HRWUPE	HRWUPE = 0;
#define CLR_UD		UD = 0;
#define CLR_OV		OV = 0;
#define CLR_RS0		RS0 = 0;
#define CLR_RS1		RS1 = 0;
#define CLR_F0		F0 = 0;
#define CLR_AC		AC = 0;
#define CLR_CY		CY = 0;
#define CLR_RI		RI = 0;
#define CLR_TI		TI = 0;
#define CLR_RB8		RB8 = 0;
#define CLR_TB8		TB8 = 0;
#define CLR_REN		REN = 0;
#define CLR_SM2		SM2 = 0;
#define CLR_SM1		SM1 = 0;
#define CLR_SM0		SM0 = 0;
#define CLR_FE		FE = 0;
#define CLR_IT0		IT0 = 0;
#define CLR_IE0		IE0 = 0;
#define CLR_IT1		IT1 = 0;
#define CLR_IE1		IE1 = 0;
#define CLR_TR0		TR0 = 0;
#define CLR_TF0		TF0 = 0;
#define CLR_TR1		TR1 = 0;
#define CLR_TF1		TF1 = 0;
#define CLR_RTWE	RTWE = 0;
#define CLR_RTWCE	RTWCE = 0;

#endif /*_REG930XX */
